<?php
  include("../clases/BDConexion.php");
  include("../clases/clsclinico.php");
  include("../funcion/funciones.php");
  include("../Funciones.php");
  $objclinico = new clsclinico;
  $fecha_ingreso = extraerfechamysql($fecha_ingreso);
  echo $caso;
  echo "<br>";
  echo "Codigo :".$codmed."<br>";
  echo "Codigo Medicina :".$cod_med."<br>";
  echo "Medicina :".$medicina."<br>";
  echo "Descripcion :".$desc_med."<br>";
  echo "Unidad :".$unidad_med."<br>";
  echo "cant_ingreso :".$cant_ingreso."<br>";
  echo "fecha_ingreso :".$fecha_ingreso."<br>";
  if ($caso==1){
     $objclinico->ActalizaMedicinaCaso1($codmed,$cod_med,$medicina,$desc_med,$unidad_med);
	 Redirigir("../cvp_consultar_medicina.php?aler=1");
  }
  if ($caso==2){
     $objclinico->ActalizaMedicinaCaso2($codmed,$cod_med,$medicina,$desc_med,$unidad_med,$cant_ingreso);
	 $res = $objclinico->DevolverUltimoProcesoKardexMed($codmed);
	 if($fila=$objclinico->NextRow($res)){
	    $codKardex = $fila['cod_kardex_med'];
		$codmed = $fila['cod_med'];
		$saldoIni = $fila['saldo_inicial'];
        $saldoActual  =  $fila['saldo_actual'];
	     }
	  $saldoIni = $saldoActual;
	  $ingreso  = $cant_ingreso;
	  $salida = 0;
	  $saldo_actual = $saldoIni + $ingreso;
	  $fecha = date("Y-m-d");
	  $observa = "INGRESO";
	  $objclinico->InsertarKardex1($codmed,$saldoIni,$ingreso,$salida,$saldo_actual,$fecha,$observa);
	 Redirigir("../cvp_consultar_medicina.php?aler=1");
  }  
?>